nbconvert (7.16.6-1build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 26 Jan 2026 19:55:08 +0000

nbconvert (7.16.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Colin Watson <cjwatson@debian.org>  Sun, 09 Feb 2025 15:45:36 +0000

nbconvert (7.16.5-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Explicitly depend on python3-tinycss2, since upstream now depends on
    bleach[css] but Debian's python3-bleach package only Recommends:
    python3-tinycss2.
  * Use templates from this source package while building documentation, not
    ones from the indirect circular build-dependency on python3-nbconvert.

 -- Colin Watson <cjwatson@debian.org>  Thu, 02 Jan 2025 22:10:15 +0000

nbconvert (7.16.4-2) unstable; urgency=medium

  * Team upload.
  * Update embedded jupyterlab CSS to 4.0.2 (closes: #1082665).

 -- Colin Watson <cjwatson@debian.org>  Tue, 24 Sep 2024 17:53:28 -0700

nbconvert (7.16.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream release (closes: #1057949).
  * Go back to using packaged mistune.
  * Mark python-nbconvert-doc as Multi-Arch: foreign.
  * Drop "Patch out obsolete grffile from latex template"; upstream does
    version detection now, so this isn't needed.

 -- Colin Watson <cjwatson@debian.org>  Sun, 02 Jun 2024 13:23:53 +0100

nbconvert (6.5.3-5) unstable; urgency=medium

  * Team upload.
  * Updates for sphinx 5.0 support (closes: #1042699).
  * (Build-)depend on python3-lxml-html-clean (closes: #1068349).

 -- Colin Watson <cjwatson@debian.org>  Sun, 14 Apr 2024 16:52:34 +0100

nbconvert (6.5.3-4) unstable; urgency=medium

  [ Benjamin Drung ]
  * Team upload.
  * Update lintian override to match current lintian format

  [ Simon Chopin ]
  * Patch failing tests after nbclient 0.8.0 (Closes: #1041483, LP: #2028176)

 -- Benjamin Drung <bdrung@debian.org>  Fri, 21 Jul 2023 11:10:23 +0200

nbconvert (6.5.3-3) unstable; urgency=medium

  * Team upload.
  * Ignore ResourceWarning on stderr in autopkgtest

 -- Jochen Sprickerhof <jspricke@debian.org>  Wed, 18 Jan 2023 22:21:23 +0100

nbconvert (6.5.3-2) unstable; urgency=medium

  * Patch a failing test after (CVE-fixing) changes in jupyter-core 4.11.2

 -- Gordon Ball <gordon@chronitis.net>  Thu, 24 Nov 2022 21:46:28 +0000

nbconvert (6.5.3-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Add 0007-fix-SyntaxError:_invalid_escape_sequence.patch to fix an
    import error in the Debian vendored _mistune.py (Closes: #1021560)
  * Don't fail on deprecation warning during autopkgtest
  * Add 0008-dont-use-intersphinx-during-build.patch to prevent
    downloading artifact from the internet during build (Closes: #1023040)

 -- Paul Gevers <elbrus@debian.org>  Sat, 29 Oct 2022 15:55:57 +0200

nbconvert (6.5.3-1) unstable; urgency=medium

  * Package new upstream 6.5.3 (Closes: #1019156).
  * Add patch to fix a missing style.css autopkgtest failure.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 07 Sep 2022 07:33:48 +0200

nbconvert (6.5.1-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches and drop bleach_5.patch (upstream).

 -- Julien Puydt <jpuydt@debian.org>  Wed, 10 Aug 2022 14:48:56 +0200

nbconvert (6.4.4-2) unstable; urgency=medium

  * Bump standards-version to 4.6.1.
  * Add python3-packaging to b-deps (Closes: #1014650).
  * Add explicit dep on python3-packaging (why isn't it automatic?).
  * Refresh patches.
  * Add patch for bleach 5 support.
  * Add lintian override for false positive.

 -- Julien Puydt <jpuydt@debian.org>  Sun, 10 Jul 2022 17:07:13 +0200

nbconvert (6.4.4-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-nbsphinx and
      python3-pandocfilters.

  [ Gordon Ball ]
  * New upstream version 6.4.4
  * Rebase patches
  * New build-dependency: python3-bs4

 -- Gordon Ball <gordon@chronitis.net>  Mon, 14 Mar 2022 19:58:24 +0000

nbconvert (6.4.0-1) unstable; urgency=medium

  * New upstream version 6.4.0

 -- Gordon Ball <gordon@chronitis.net>  Tue, 25 Jan 2022 11:21:29 +0000

nbconvert (6.3.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * New upstream release (Closes: #995885).
  * Refresh patches.
  * Add new b-dep.
  * Remove Built-Using field from -doc package in d/control.
  * Add missing autopkgtest dep.
  * Rework 0004-privacy-breaches.patch:
    - use file:/// instead of file:// ;
    - accept the breach for mathjax so the produced documents
      don't break for users until upstream makes it easier
      to deal with (Closes: #999796).

  [ Gordon Ball ]
  * Vendor mistune 0.8.4 due to incompatibility with mistune 2
    (Closes: #1001283, #1002372)
  * Set nbsphinx_allow_errors in sphinx conf
  * Skip tests related to ipywidgets 7

 -- Gordon Ball <gordon@chronitis.net>  Sun, 09 Jan 2022 14:03:53 +0000

nbconvert (6.1.0-1) unstable; urgency=medium

  [ Julien Puydt ]
  * Don't ship the tests in the main package.
  * Mark some patches as Debian-specific so lintian doesn't complain.
  * Bump dh compat to 13.
  * Update patches.
  * Add new build-deps.
  * Fix d/watch.
  * New upstream release 6.1.0.
  * Bump standards-version to 4.6.0.
  * Forward one of the patches upstream.

  [ Gordon Ball ]
  * Include templates in usr/share in python3-nbconvert
  * Run in-source tests for autopkgtest to avoid issues with readonly directories
  * Embed jupyterlab CSS until packaged
  * Build-depend on python3-ipython for sphinx extension
  * Skip webpdf tests (requires pyppeteer)
  * Skip tests which require test directories on the import path

 -- Gordon Ball <gordon@chronitis.net>  Wed, 10 Nov 2021 20:08:19 +0000

nbconvert (5.6.1-3) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Gordon Ball ]
  * d/control: recommend jupyter-client (Closes: #982739)
  * Patch invalid escape sequence in docstrings (Closes: #979227)

 -- Gordon Ball <gordon@chronitis.net>  Fri, 19 Feb 2021 15:12:30 +0000

nbconvert (5.6.1-2) unstable; urgency=medium

  * Include test files in the install
  * Run the test-suite as an autopkgtest
  * Update Standards-Version to 4.5.0
  * Drop unneeded build-dependencies, which are either already secondary
    dependencies, or were needed for tests not currently run at build time,
    or were obsolete
     + python3-{ipykernel,ipython,nose,pickleshare,pytest}
     + inkscape
     + texlive-{plain-generic,latex-base,latex-extra,fonts-recommended}
  * Drop explicit python dependencies for python3-nbconvert; python3:Depends
    correctly detects them.
  * Add texlive-{xetex,fonts-recommended,plain-generic} as Suggests for
    python3-nbconvert (needed for PDF/LaTeX output)
  * Add missing dependency on jupyter-core for jupyter-nbconvert
  * Drop patch which added a versioned IPython dependency; the relevant
    version is in oldstable

 -- Gordon Ball <gordon@chronitis.net>  Tue, 01 Sep 2020 11:37:33 +0000

nbconvert (5.6.1-1) unstable; urgency=medium

  [ Debian Janitor ]
  * debian/copyright: use spaces rather than tabs to start continuation
    lines.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Gordon Ball ]
  * New upstream version: 5.6.1
  * Declare Rules-Requires-Root: no

 -- Gordon Ball <gordon@chronitis.net>  Mon, 20 Jan 2020 18:53:06 +0000

nbconvert (5.6.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Bump Standards-Version to 4.4.1.

  [ Gordon Ball ]
  * Drop python 2.7 support (Closes: #937117)
  * Patch latex template to remove grffile package (Closes: #944344)

 -- Gordon Ball <gordon@chronitis.net>  Tue, 12 Nov 2019 15:33:26 +0000

nbconvert (5.6.0-1) unstable; urgency=medium

  * New upstream version: 5.6.0
  * Drop unused build-depends on python{,3}-path (from 5.4-2ubuntu1)
  * Version dependency on jupyter-client (>= 5.3.1), as per upstream
  * Add Testsuite: autopkgtest-pkg-python
  * Build-depend on texlive-plain-generic instead of
    texlive-generic-recommended (Closes: #941541)

 -- Gordon Ball <gordon@chronitis.net>  Wed, 09 Oct 2019 18:38:58 +0000

nbconvert (5.5.0-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream version 5.5.0
  * Refresh patches; drop now-applied upstream patch from 5.4-2
  * Add myself to uploaders
  * Update debhelper compat level to 12

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat.
  * Bump Standards-Version to 4.4.0.

 -- Gordon Ball <gordon@chronitis.net>  Thu, 26 Sep 2019 10:54:56 +0000

nbconvert (5.4-2) unstable; urgency=medium

  * Add upstream patch (Closes: #918913)

 -- Julien Puydt <jpuydt@debian.org>  Thu, 17 Jan 2019 15:31:11 +0100

nbconvert (5.4-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Add suggests to python-nbconvert-doc (Closes: #880534)
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/control: Remove ancient X-Python-Version field
  * d/control: Remove ancient X-Python3-Version field
  * Convert git repository from git-dpm to gbp layout
  * Use 'python3 -m sphinx' instead of sphinx-build for building docs

  [ Gordon Ball ]
  * New upstream version
  * Update Standards-Version to 4.2.1
  * New dependency: python3?-defusedxml
  * Patch out (unpackaged) sphinxcontrib_github_alt for documentation

  [ Julien Puydt ]
  * Use my debian.org mail address.
  * Update dates in d/copyright.
  * Bump dh compat to 11.
  * Bump std-ver to 4.3.0.
  * Add patch to remove privacy breaches (and add depends on libjs-*).

 -- Julien Puydt <jpuydt@debian.org>  Fri, 04 Jan 2019 22:21:03 +0100

nbconvert (5.3.1-1) unstable; urgency=medium

  [ Gordon Ball ]
  * New upstream release.
  * Re-enable building documentation now nbsphinx is available.
  * Update Standards-Version to 4.1.1
  * Install the upstream changelog

  [ Julien Puydt ]
  * Correctly sort beta versions in d/watch.
  * Add python3?-jupyter-client to the depends (Closes: #864700).
  * New upstream release.
  * Refresh patches.
  * Update standards-version to 4.1.0.
  * Add depends on python-pytest, python3-pytest and python-jupyter-client.
  * Declare under the team maintenance like my other packages.
  * Disable autotests since entry points are not available when we want to
    run them.
  * Update d/copyright.
  * Use javascript packages instead of going to the net.

 -- Julien Puydt <julien.puydt@laposte.net>  Wed, 25 Oct 2017 21:45:13 +0200

nbconvert (4.2.0-4) unstable; urgency=medium

  * Team upload.
  * Recommend pandoc, required for several output formats

 -- Gordon Ball <gordon@chronitis.net>  Fri, 25 Nov 2016 11:56:49 +0100

nbconvert (4.2.0-3) unstable; urgency=medium

  * Add explicit dep on entrypoints packages. (Closes: #843514)

 -- Julien Puydt <julien.puydt@laposte.net>  Mon, 07 Nov 2016 20:29:24 +0100

nbconvert (4.2.0-2) unstable; urgency=medium

  [ Tobias Hansen ]
  * Team upload.
  * Upload to unstable.

  [ Julien Puydt ]
  * Push dh compat to 10.

  [ Gordon Ball ]
  * Split the jupyter-nbconvert script into a separate package (also named
    jupyter-nbconvert), which depends on the python 3 library package.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Nov 2016 20:01:52 +0000

nbconvert (4.2.0-1) experimental; urgency=medium

  [ Julien Puydt ]
  * Initial release. (Closes: #801058)

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

 -- Julien Puydt <julien.puydt@laposte.net>  Sat, 30 Jul 2016 07:15:50 +0200
